This commit is contained in:
parent
fee7cdd15b
commit
e6fabd55f1
@ -1,24 +1,19 @@
|
||||
Index: libgo/mksigtab.sh
|
||||
===================================================================
|
||||
--- libgo/mksigtab.sh (revision 250406)
|
||||
--- libgo/mksigtab.sh (revision 250846)
|
||||
+++ libgo/mksigtab.sh (working copy)
|
||||
@@ -107,6 +107,19 @@ if test "${GOOS}" = "aix"; then
|
||||
nsig=`expr $nsig + 1`
|
||||
else
|
||||
nsig=`grep 'const _*NSIG = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
|
||||
+ if test -z "$nsig"; then
|
||||
+ if grep 'const _*NSIG = [ (]*_*SIGRTMAX + 1[ )]*' gen-sysinfo.go >/dev/null 2>&1; then
|
||||
+ rtmax=`grep 'const _*SIGRTMAX = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
|
||||
+ if test -n "$rtmax"; then
|
||||
+ nsig=`expr $rtmax + 1`
|
||||
+ fi
|
||||
+ fi
|
||||
+ fi
|
||||
+fi
|
||||
+
|
||||
+if test -z "$nsig"; then
|
||||
+ echo 1>&2 "could not determine number of signals"
|
||||
+ exit 1
|
||||
@@ -86,6 +86,14 @@ if test "${GOOS}" = "linux"; then
|
||||
fi
|
||||
|
||||
nsig=`grep 'const _*NSIG = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
|
||||
+if test -z "$nsig"; then
|
||||
+ if grep 'const _*NSIG = [ (]*_*SIGRTMAX + 1[ )]*' gen-sysinfo.go >/dev/null 2>&1; then
|
||||
+ rtmax=`grep 'const _*SIGRTMAX = [0-9]*$' gen-sysinfo.go | sed -e 's/.* = \([0-9]*\)/\1/'`
|
||||
+ if test -n "$rtmax"; then
|
||||
+ nsig=`expr $rtmax + 1`
|
||||
+ fi
|
||||
+ fi
|
||||
+fi
|
||||
i=1
|
||||
while test "$i" -lt "$nsig"; do
|
||||
if ! grep "const _SIG.* = $i" gen-sysinfo.go >/dev/null 2>&1; then
|
||||
|
Loading…
x
Reference in New Issue
Block a user